> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets Cashbacks

> This method returns the paginated listing of all cashbacks belonging to a specific
consumer.




## OpenAPI

````yaml /program/api/openapi/legacy/1.1.0/connector.json get /connectors/consumers/{consumer_id}/cashbacks
openapi: 3.0.2
info:
  description: >
    ## Welcome to PayLead API Documentation !

    With this documentation, we will help you go through the phases of

    basic implementation, and help you understand the basic steps to let you
    reach your objectives through our API.

    ## Versioning

    Our API supports versioning, so be sure to set the right version in the
    header, using the Client-Api-Version field :


    ex : X-Api-Version = 1.0.0

    ## Response code

    Our API returns standard HTTP response codes to indicate success or failure
    of the API requests. For

    errors, we also return a customized error message inside the JSON response.
    You can see the returned

    HTTP status codes below.


    |Code|Title|Description

    |------|------|------|

    |200|OK|Request successful

    |201|Created|Resource successfully created

    |204|No Content|Request successful with no content returned

    |400|Bad Request|Request was unacceptable

    |401|Unauthorised|API key provided is invalid

    |402|Request Failed|Valid parameters but the request failed

    |403|Forbidden|Access is forbidden.

    |404|Not Found|Resource does not exist

    |409|Conflict|The request could not be completed due to a conflict with the
    current state of the target resource

    |429|Too Many Requests|The user has sent too many requests in a given amount
    of time ("rate limiting").

    |500, 502, 503, 504|Server Errors|Something went wrong with the PayLead API


    ## Error handling

    In case of error our API returns errors based on JSON API principles,
    especially for 4xx errors.

    An error response contains an unique id which can be used for investigation.

    In addition, you will find a message explaining the error, a readable code
    and a meta object containing more details.


    You can see an example below.


    >> ~~~~

    >> {

    >>     'errors': {

    >>             'target_account': [

    >>                 {

    >>                 'code': 'FORMAT_ERROR',

    >>                 'message': 'Invalid IBAN; it should be 4-34 characters,
    only upper-case letters and digits.',

    >>                 'meta': {

    >>                     'value': 'SOME-INVALID-IBAN'

    >>                 }

    >>             }

    >>         ]

    >>     },

    >>     'id': '784db0c2-0e87-40d4-aa62-3e801135ccf7'

    >> }

    >> ~~~~

    ## Language — Content Negotiation

    If your program has been configured to support multiple languages, the API
    will respect the `Accept-Language` header as defined in
    [RFC7231](https://tools.ietf.org/html/rfc7231#section-5.3.5).


    For each incoming request, the best language will be selected by matching
    the list of languages accepted by the client with the list of languages
    supported by the program.


    For example, with a header of `Accept-Language: fr-FR,en-GB;q=0.8,en;q=0.3`:

      * If supported languages are `fr-FR, en-GB`, the best match is `fr-FR`;
      * If supported languages are `en-GB, fr-FR`, the best match is `fr-FR`;
      * If supported languages are `fr-BE, nl-BE`, the best match is `fr-BE`;
      * If supported languages are `it-IT, en-US`, the best match is `en-US`;
      * If supported languages are `de-CH, it-CH`, the best match is `de-CH`.


    The selected language will be exposed through the `Content-Language` header.


    *Note:* If some fields haven't been translated yet, they will be returned in
    the program's primary language.
  title: PayLead API
  version: 1.1.0
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/consumers/{consumer_id}/cashbacks:
    get:
      tags:
        - Reward
      summary: Gets Cashbacks
      description: >
        This method returns the paginated listing of all cashbacks belonging to
        a specific

        consumer.
      operationId: get.CashbackListResource.impersonate
      parameters:
        - description: The id you used to create the given consumer
          in: path
          name: consumer_id
          required: true
          schema:
            type: string
        - description: |-
            Filter by amount

            Amount of the transaction
          example: -23.68
          in: query
          name: amount
          schema:
            type: number
        - description: |
            Filter by created_at

            Filtering on date of creation
            between <from>--<too>
            after   <from>--
            before  --<to>
          examples:
            between:
              summary: between 2020-05-25 and 2021-01-13
              value: 2020-05-25--2021-01-13
            older:
              summary: before 2021-05-25
              value: '--2021-05-25'
          in: query
          name: created_at
          schema:
            type: string
        - description: |-
            Filter by descriptor

            Label of the transaction
          example: MYBRAND
          in: query
          name: descriptor
          schema:
            type: string
        - description: the page number
          in: query
          name: page
          required: false
          schema:
            minimum: 1
            type: integer
        - description: the number of elements per page
          in: query
          name: per_page
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
        - description: Sort by given attribute
          in: query
          name: sort
          schema:
            enum:
              - amount
              - status
              - created_at
              - user_offer__reference
              - user_offer__id
              - user_offer__name
              - user_offer__brand__name
              - descriptor
              - transaction__amount
              - transaction__score
              - '-amount'
              - '-status'
              - '-created_at'
              - '-user_offer__reference'
              - '-user_offer__id'
              - '-user_offer__name'
              - '-user_offer__brand__name'
              - '-descriptor'
              - '-transaction__amount'
              - '-transaction__score'
            type: string
        - description: Filter by status
          in: query
          name: status
          schema:
            enum:
              - CANCELLED
              - PENDING_VALIDATION
              - VALIDATED
              - PAID_IN
              - PAID_OUT
              - ERROR
            type: string
        - description: Filter by transaction__amount
          in: query
          name: transaction__amount
          schema:
            type: number
        - description: Filter by transaction__score
          in: query
          name: transaction__score
          schema:
            type: integer
        - description: Filter by user_offer__brand__name
          in: query
          name: user_offer__brand__name
          schema:
            type: string
        - description: Filter by user_offer__id
          in: query
          name: user_offer__id
          schema:
            format: uuid
            type: string
        - description: Filter by user_offer__name
          in: query
          name: user_offer__name
          schema:
            type: string
        - description: Filter by user_offer__reference
          in: query
          name: user_offer__reference
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: '#/components/schemas/CashbackConsumer'
                    type: array
                  meta:
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
          description: OK
          links:
            get.CashbackResource:
              operationId: get.CashbackResource.impersonate
              parameters:
                cashback_id: $response.body#/items/0/id
                consumer_id: $request.path.consumer_id
            get.RewardsCashbackResource:
              operationId: get.RewardsCashbackResource.impersonate
              parameters:
                cashback_id: $response.body#/items/0/id
                consumer_id: $request.path.consumer_id
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    CashbackConsumer:
      properties:
        amount:
          description: Amount of the transaction
          example: -23.68
          readOnly: true
          type: number
        cancellation_date:
          description: Date of cancellation by the merchant of a reward
          example: '2019-01-23T12:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        cancellation_reason:
          description: Text message explaining the reason of cancellation
          example: Transaction has been deleted
          nullable: true
          readOnly: true
          type: string
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          readOnly: true
          type: string
        estimated_payment_date:
          description: Estimation date of the credit on the pool of the reward
          example: '2019-01-23T12:00:00+00:00'
          format: date-time
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        merchant:
          anyOf:
            - $ref: '#/components/schemas/Merchant'
            - nullable: true
              type: object
        payment_date:
          description: Actual credit date on the pool of the reward
          example: '2019-01-23T12:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        pending_validation_date:
          description: The date when the validation period of the reward starts
          example: '2019-01-23T12:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        status:
          description: >
            Status of the cashback:

            - PENDING_VALIDATION: The cashback has been generated from the
            transaction date, but the merchant can cancel the cashback because
            within the validation period (e.g. 14 days)

            - VALIDATED: The merchant hasn't cancelled the cashback and we are
            out of the validation period. This cashback is meant to be paid by
            the merchant on the first open day of the month and can't be
            cancelled anymore.

            - PAID_IN: Cashback has been paid by the merchant and is collected
            by our PSP.

            - PAID_OUT: Consumer collected his/her cashback (whether manually or
            automatically, triggered by your pay out threshold).

            - ERROR: Something went wrong with the cashback (technical).

            - CANCELLED: Cancelled by the merchant. The cashback is not
            considered as due anymore. Most of the time, because the purchased
            item has been returned to the merchant.
          example: VALIDATED
          readOnly: true
          type: string
        transaction:
          $ref: '#/components/schemas/TransactionReward'
        transfer_date:
          description: The date where the reward is actually paid to the consumer
          example: '2019-01-23T12:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        universe:
          anyOf:
            - $ref: '#/components/schemas/ConsumerUniverseWithLogo'
            - nullable: true
              type: object
        user_offer:
          allOf:
            - $ref: '#/components/schemas/CashbackUserOffer'
          description: Offer from which the cashback has been computed and earned
          readOnly: true
        validation_date:
          description: >-
            End of the validation period, the merchant can't cancel the reward
            anymore
          format: date-time
          nullable: true
          readOnly: true
          type: string
        validation_estimated_date:
          description: Estimation of the end of the validation period
          format: date-time
          readOnly: true
          type: string
      required:
        - amount
        - id
      type: object
    Merchant:
      properties:
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          readOnly: true
          type: string
        has_delegation:
          description: Flag to indicate if the merchant can emit offers on another brand
          readOnly: true
          type: boolean
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        logo:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        name:
          description: Name of the object
          readOnly: true
          type: string
      required:
        - id
        - name
      type: object
    TransactionReward:
      properties:
        amount:
          description: Amount of the transaction
          example: -23.68
          readOnly: true
          type: number
        descriptor:
          description: Label of the transaction
          example: MYBRAND
          nullable: true
          readOnly: true
          type: string
        executed_at:
          description: Execution date of the transaction
          example: '2019-01-31T12:00:00+00:00'
          format: date-time
          readOnly: true
          type: string
        external_id:
          description: External_id of the transaction.
          nullable: true
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
      required:
        - amount
        - executed_at
      type: object
    ConsumerUniverseWithLogo:
      properties:
        children:
          description: Children universes of the current universe (nested objects)
          items:
            $ref: '#/components/schemas/ConsumerUniverse'
          nullable: true
          readOnly: true
          type: array
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        logo:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        name:
          description: Name of the object
          nullable: true
          readOnly: true
          type: string
        parent_id:
          description: 'UUID : unique ID of the parent of the object'
          example: 5c5e6d04-9dfc-46b8-9432-7c977f1dca23
          format: uuid
          nullable: true
          readOnly: true
          type: string
      type: object
    CashbackUserOffer:
      properties:
        application_channel:
          description: >-
            Offer availability: **ONLINE** if the offer is online only.
            **OFFLINE** if the offer is offline only. **BOTH** if the offer is
            online and offline
          enum:
            - BOTH
            - ONLINE
            - OFFLINE
          example: ONLINE
          maxLength: 7
          nullable: true
          readOnly: true
        application_url:
          description: >-
            URL to reach the offer if the offer channel is **ONLINE** or
            **BOTH**
          example: https://www.mybrand.fr
          format: url
          nullable: true
          readOnly: true
          type: string
        brand:
          $ref: '#/components/schemas/ConsumerOfferBrand'
        cashback_rate:
          description: Rate of reward used to calculate cashback amount
          example: 5
          maximum: 100
          minimum: 0
          readOnly: true
          type: number
        description:
          description: description
          nullable: true
          readOnly: true
          type: string
        end_date:
          description: >-
            End date of the offer. A transaction has to be executed before
            (inclusive) this date to be able to generate cashback for the
            consumer.
          example: '2017-12-26T23:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        highlight_level:
          description: >-
            Enum in: HIGHEST, HIGH, NORMAL. For a contextual display (banner,
            carousel etc...), this value is set by the program manager on each
            offer
          enum:
            - HIGHEST
            - HIGH
            - NORMAL
          example: HIGH
          maxLength: 7
          nullable: true
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        is_consumed:
          description: >-
            Has the consumer already consumed the coupon of the current offer?
            If true, yes. If false, no.
          example: true
          readOnly: true
          type: boolean
        is_favorite:
          description: TRUE if the offer is liked by consumer, FALSE if not
          example: true
          readOnly: true
          type: boolean
        legal_terms:
          description: Legal terms
          nullable: true
          readOnly: true
          type: string
        max_amount:
          description: >-
            Maximum transaction amount for this offer. the maximum reward for
            this offer is max_amount x cashback_rate
          example: 250
          nullable: true
          readOnly: true
          type: number
        max_cashbacks_per_consumer:
          description: >-
            The maximum number of rewards that can be obtained by a consumer, if
            "None", it's unlimited, on a given offer
          nullable: true
          readOnly: true
          type: integer
        min_amount:
          description: >-
            Minimum amount for a transaction to be able to generate a reward for
            the consumer
          example: 40
          nullable: true
          readOnly: true
          type: number
        name:
          description: Name of the object
          readOnly: true
          type: string
        picture:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        publication_date:
          description: >-
            Offer publication datetime. An offer can be published before its
            starting date (for teasing purposes)
          example: '2019-01-01T00:00:00+00:00'
          format: date-time
          readOnly: true
          type: string
        reference:
          description: >-
            Unique reference of the offer. Human readable, made out from the
            concatenation of the brand name + creation date + increment.
          example: MYBRAND-20180220-001
          readOnly: true
          type: string
        segments:
          description: Segments of offers
          items:
            $ref: '#/components/schemas/ConsumerSegment'
          readOnly: true
          type: array
        source_transaction:
          description: >-
            If this flag is true, the transaction must come from the default
            bank of the program to generate a reward
          readOnly: true
          type: boolean
        start_date:
          description: >-
            Date (ex. 2017-12-26T23:00:00+00:00): Start date of the offer. A
            transaction has to be executed after (inclusive) this date to be
            able to generate cashback for the consumer.
          example: '2018-12-21T00:00:00+00:00'
          format: date-time
          readOnly: true
          type: string
        status:
          description: >
            - ACTIVE: The offer is available and your customers can benefit from
            it.

            - COMPLETED: The campaign budget has been completely spent, the
            offer is no longer active.

            - PUBLISHED: The offer is published but not yet active. You can
            choose to display them to tease your customers.
          readOnly: true
          type: string
        type:
          description: 'Enum in: CASHBACK, UNIQUE_COUPON, GENERIC_COUPON'
          enum:
            - CASHBACK
            - LBS_CASHBACK
          example: CASHBACK
          readOnly: true
          type: string
      required:
        - cashback_rate
        - highlight_level
        - id
        - name
        - reference
        - status
        - type
      type: object
    Image:
      properties:
        content_type:
          description: Content type of the file
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          type: string
        links:
          $ref: '#/components/schemas/Links'
        name:
          description: Name of the object
          type: string
        owner:
          description: ID of the uploader of the file
          format: uuid
          nullable: true
          type: string
      type: object
    ConsumerUniverse:
      properties:
        children:
          description: Children universes of the current universe (nested objects)
          items:
            $ref: '#/components/schemas/ConsumerUniverse'
          nullable: true
          readOnly: true
          type: array
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        name:
          description: Name of the object
          nullable: true
          readOnly: true
          type: string
        parent_id:
          description: 'UUID : unique ID of the parent of the object'
          example: 5c5e6d04-9dfc-46b8-9432-7c977f1dca23
          format: uuid
          nullable: true
          readOnly: true
          type: string
      type: object
    ConsumerOfferBrand:
      properties:
        description:
          description: description
          nullable: true
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          type: string
        legal_terms:
          description: Legal terms
          nullable: true
          readOnly: true
          type: string
        logo:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        name:
          description: Name of the object
          type: string
        universes:
          description: Universes
          items:
            $ref: '#/components/schemas/ConsumerUniverse'
          readOnly: true
          type: array
      type: object
    ConsumerSegment:
      properties:
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          type: string
      type: object
    Links:
      properties:
        download:
          description: The link to download the data.
          format: url
          type: string
        preview:
          description: The link to preview the data.
          format: url
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````